rm(list=ls()); library(dobserv);
setwd('c:/tmp');
fname=system.file('extdata','sample.csv',package='dobserv')

d1=read.csv(fname,skip=1,header=F)
data=pool_lt10(d1);   #  pool data with < 10 observations

  # pool CAGO,PUMA even though > 10 detections because all detections
  #  were by same obs.
i=which(data$sp=="CAGO" | data$sp=="PUMA"); data$sp[i]='grp1'

#  summarize by species...
sp=as.factor(as.character(data$sp)); usp=levels(sp); nsp=length(usp);
d2=matrix(0,2*nsp,2)
jj=(as.numeric(sp)-1)*2+(data[,1]==data[1,1])+1
for (i in 1:nrow(data)) d2[jj[i],]=d2[jj[i],]+as.numeric(data[i,3:4])
d2=data.frame(obs=rep(1:2,nsp),
              sp=rep(as.character(usp),each=2),
              X1=d2[,1],X01=d2[,2])
#   run some models...
#      ~obs means detection depends only on observer,
#      ~sp means detection depends only on species,
#      ~xxxx means detection depends on input covariate xxxx
cat('----------------\n')
z0=dobserv_dep_obs(d2,model=~1)
z1=dobserv_dep_obs(d2,model=~obs)
z2=dobserv_dep_obs(d2,model=~-1+sp)
z3=dobserv_dep_obs(d2,model=~sp+obs)
z4=dobserv_dep_obs(d2,model=~sp*obs)
zz=list(z0,z1,z2,z3,z4)
#   zz is a list with output from each of the models above

atbl=aictbl(zz,d2); print(atbl$table,quote=F)

fname2=system.file('extdata','sample2a.csv',package='dobserv')
d3=read.csv(fname2,header=F,skip=1); colnames(d3)=c('obs','sp','X10','X01','X11')
y2=dobserv_indep_obs(d3,model=~obs)

fname=system.file('extdata','sample3.csv',package='dobserv')

#  read sample data file which includes a covariate (temperature)
#      in the last column
d3=read.csv(fname,header=F,skip=1);
colnames(d3)=c('obs','sp','X10','X01','X11','temp')
#  run a few models...
x1=dobserv_indep_obs(d3,model=~obs)
x2=dobserv_indep_obs(d3,model=~temp*obs)
#  print estimates from 2nd model for each species...
print(round(x2$z,4))
#  print estimate of total number of individuals...
print(round(x2$ntotal,4))

test_that("dep obs negLL top model: 738.67", {
  expect_equal(round(as.numeric(z2$aic),2),738.67)
})
test_that("indep obs p: .4,.5", {
  expect_equal(round(y2$p[1]*10+y2$p[2],1),4.5)
})
test_that("covariate test", {
  expect_equal(as.numeric(round(x2$ntotal[1])),977)
})
